The following commit has been merged in the master branch:
commit 5940528118671a9817b1892cdede67026d485b31
Author: Francesco Paolo Lovergine <fran...@debian.org>
Date:   Wed Jul 13 18:10:14 2011 +0200

    Moving to grand unified dh_python2.

diff --git a/debian/changelog b/debian/changelog
index cdf9a9a..6cf6bed 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,14 @@
+mapserver (5.6.6-2) unstable; urgency=low
+
+  * Ack previous NMU: added libepsilon-dev as build-dep.
+    (closes: #624811)
+  * Policy bumped to 3.9.2, no changes required.
+  * Moved to libjpeg-dev as build-dep.
+  * Migrated to dh_python2.
+    (closes: #616883)
+
+ -- Francesco Paolo Lovergine <fran...@debian.org>  Wed, 13 Jul 2011 18:05:19 
+0200
+
 mapserver (5.6.6-1) unstable; urgency=low
 
   [ Alan Boudreault ]
diff --git a/debian/control b/debian/control
index 1109741..0840a10 100644
--- a/debian/control
+++ b/debian/control
@@ -3,17 +3,16 @@ Section: devel
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <fran...@debian.org>, Alan Boudreault 
<aboudrea...@mapgears.com>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), libcurl4-gnutls-dev, libpng12-dev, zlib1g-dev 
(>= 1.1.4),
- libgd2-xpm-dev (>= 2.0.1-10), libfreetype6-dev (>= 2.0.9), libjpeg62-dev, 
libgdal1-dev (>=1.4.0), libproj-dev,
- libpq-dev, php5-dev, swig, python-all, python-all-dev, python-central (>= 
0.5), libgeos-dev (>= 2.2.3-2),
+ libgd2-xpm-dev (>= 2.0.1-10), libfreetype6-dev (>= 2.0.9), libjpeg-dev, 
libgdal1-dev (>=1.4.0), libproj-dev,
+ libpq-dev, php5-dev, swig, python-all (>= 2.6.6-3~), python-all-dev (>= 
2.6.6-3~), libgeos-dev (>= 2.2.3-2),
  ruby1.8, ruby1.8-dev, ruby1.9.1, ruby1.9.1-dev,
  sharutils, libsdl1.2-dev, libfreetype6-dev, libx11-dev,
  libfcgi-dev, libxml2-dev, libogdi3.2-dev, libxslt1-dev, libpam0g-dev, 
libreadline-dev, 
- libfribidi-dev, libming-dev, libedit-dev
+ libfribidi-dev, libming-dev, libedit-dev, libepsilon-dev
 Build-Depends-Indep: python-docutils
 Build-Conflicts: libcurl3-openssl-dev
-XS-Python-Version: all
 Homepage: http://www.mapserver.org
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/mapserver.git
 Vcs-Git: git://git.debian.org/git/pkg-grass/mapserver.git
@@ -55,7 +54,6 @@ Architecture: any
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: mapserver-bin, mapserver-doc
 Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
 Description: Python library for MapServer
  Python MapScript provides MapServer functions for Python scripts.
 
diff --git a/debian/pycompat b/debian/pycompat
deleted file mode 100644
index 0cfbf08..0000000
--- a/debian/pycompat
+++ /dev/null
@@ -1 +0,0 @@
-2
diff --git a/debian/rules b/debian/rules
index 60fa4d6..cea6af8 100755
--- a/debian/rules
+++ b/debian/rules
@@ -244,7 +244,7 @@ binary-arch: install-arch
        dh_installexamples -a
        chmod a-x 
debian/php*-mapscript/usr/share/doc/php*-mapscript/examples/*.phtml
        dh_installdebconf -a
-       dh_pycentral -ppython-mapscript
+       dh_python2 -ppython-mapscript
        dh_compress -a
        dh_link -a
        # Overrides a mismatched error from lintian

-- 
Mapserver

_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to